#!/bin/sh

export LANG="C"
export LC_ALL="C"

nginx_conf_d="/etc/nginx/plesk.conf.d"
vhosts_d="`awk '/^HTTPD_VHOSTS_D/ {print $2}' /etc/psa/psa.conf`"
psa_d="/usr/local/psa"

prog="`basename $0`"
mu="`echo $prog | awk -F '-' '{print $1}'`"
mu_flag="$psa_d/var/${mu}-httpdmng_installed.flag"
mysql_passwd="`cat /etc/psa/.psa.shadow`"

[ -f "$mu_flag" ] && exit 0


db_do()
{
	local query="$*"
	export MYSQL_PWD="$mysql_passwd" 
	echo "$query" | mysql -n -N -uadmin psa
	unset MYSQL_PWD
}

for domain in `db_do "select name from domains"`; do
	htype="`db_do "select htype from domains where name='$domain'"`"

	if [ "$htype" = "vrt_hst" ]; then
		cfg_path="$vhosts_d/system/$domain/conf/nginx.conf"
		[ -f "$cfg_path" ] || continue

		link_f="$nginx_conf_d/vhosts/${domain}.conf"
		[ -e "$link_f" ] || ln -s $cfg_path $link_f
		continue
	fi

	if [ "$htype" != "none" ]; then
		$psa_d/admin/sbin/httpdmng --reconfigure-domain $domain -no-restart -skip-broken
	fi
done

service nginx restart
touch $mu_flag

exit 0
